Package ch.qos.logback.classic

# Class AsyncAppender

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.UnsynchronizedAppenderBase<E>
ch.qos.logback.core.AsyncAppenderBase<ILoggingEvent>
ch.qos.logback.classic.AsyncAppender

All Implemented Interfaces:
  `Appender<ILoggingEvent>`, `AppenderAttachable<ILoggingEvent>`, `ContextAware`, `FilterAttachable<ILoggingEvent>`, `LifeCycle`

public class AsyncAppender extends AsyncAppenderBase<ILoggingEvent>
In order to optimize performance this appender deems events of level TRACE, DEBUG and INFO as discardable. See the chapter on appenders in the manual for further information.

Since:
  1.0.4
Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.AsyncAppenderBase

`DEFAULT_MAX_FLUSH_TIME, DEFAULT_QUEUE_SIZE`

### Fields inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`AsyncAppender()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isDiscardable(ILoggingEvent event)`
Events of level TRACE, DEBUG and INFO are deemed to be discardable.
`boolean`
`isIncludeCallerData()`
`protected void`
`preprocess(ILoggingEvent eventObject)`
Pre-process the event prior to queueing.
`void`
`setIncludeCallerData(boolean includeCallerData)`

### Methods inherited from class ch.qos.logback.core.AsyncAppenderBase

`addAppender, append, detachAndStopAllAppenders, detachAppender, detachAppender, getAppender, getDiscardingThreshold, getMaxFlushTime, getNumberOfElementsInQueue, getQueueSize, getRemainingCapacity, isAttached, isNeverBlock, iteratorForAppenders, setDiscardingThreshold, setMaxFlushTime, setNeverBlock, setQueueSize, start, stop`

### Methods inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### AsyncAppender

public AsyncAppender()

## Method Details

### isDiscardable

protected boolean isDiscardable(ILoggingEvent event)
Events of level TRACE, DEBUG and INFO are deemed to be discardable.

Overrides:
  `isDiscardable` in class `AsyncAppenderBase<ILoggingEvent>`
Parameters:
  `event` -
Returns:
  true if the event is of level TRACE, DEBUG or INFO false otherwise.

### preprocess

protected void preprocess(ILoggingEvent eventObject)
Description copied from class: `AsyncAppenderBase`
Pre-process the event prior to queueing. The base class does no pre-processing but sub-classes can override this behavior.

Overrides:
  `preprocess` in class `AsyncAppenderBase<ILoggingEvent>`

### isIncludeCallerData

public boolean isIncludeCallerData()

### setIncludeCallerData

public void setIncludeCallerData(boolean includeCallerData)